Bug 489226 - (perl-local-lib) Review Request: perl-local-lib - Create and use a local lib/ for perl modules
Review Request: perl-local-lib - Create and use a local lib/ for perl modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/local-lib
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 17:29 EDT by Chris Weyl
Modified: 2011-04-01 12:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-local-lib-1.006007-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 13:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-08 17:29:09 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-local-lib.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-local-lib-1.003002-1.fc10.src.rpm

Description:
This module provides a quick, convenient way of bootstrapping a user-
local Perl module library located within the user's home directory. It
also constructs and prints out for the user the list of environment
variables using the syntax appropriate for the user's current shell (as
specified by the 'SHELL' environment variable), suitable for directly
adding to one's shell configuration file.

More generally, local::lib allows for the bootstrapping and usage of a
directory containing Perl modules outside of Perl's '@INC'. This makes
it easier to ship an application with an app-specific copy of a Perl module,
or collection of modules. Useful in cases like when an upstream maintainer
hasn't applied a patch to a module of theirs that you need for your
application.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1230274

*rt-0.05
Comment 1 manuel wolfshant 2009-03-08 18:11:06 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of source file:  b2ac54ea63951e90bbfe7cdcab590ec1626883ab local-lib-1.003002.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-Engl
ish languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check exists and the tests pass.


================
*** APPROVED ***
================
Comment 2 Chris Weyl 2009-03-08 19:51:15 EDT
New Package CVS Request
=======================
Package Name: perl-local-lib
Short Description: Create and use a local lib/ for perl modules
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-09 12:13:23 EDT
cvs done.
Comment 4 Chris Weyl 2009-03-09 13:22:24 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2011-03-16 03:15:57 EDT
Package Change Request
======================
Package Name: perl-local-lib
New Branches: el5 el6
Owners: iarnell
InitialCC: perl-sig


Chris isn't interested in epel and has no problem with others branching his packages.
Comment 6 Jason Tibbitts 2011-03-16 08:25:24 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-03-17 03:31:09 EDT
perl-local-lib-1.006007-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-local-lib-1.006007-2.el6
Comment 8 Fedora Update System 2011-04-01 12:28:43 EDT
perl-local-lib-1.006007-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.